Qyra
ReferenceProjects

Add dbt source

Add an additional dbt source to a project.

POST/api/v1/projects/{projectUuid}/dbt-sources

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Request body

{
  "warehouseLocation": {
    "schema": "string",
    "database": "string"
  },
  "dbtConnection": {
    "type": "dbt",
    "target": "string",
    "environment": [
      {
        "value": "string",
        "key": "string"
      }
    ],
    "selector": "string",
    "profiles_dir": "string",
    "project_dir": "string"
  },
  "name": "string"
}

Responses

201 — Created

{
  "results": {
    "hasCredentialError": true,
    "warehouseLocation": {
      "schema": "string",
      "database": "string"
    },
    "projectSubPath": "string",
    "branch": "string",
    "repository": "string",
    "type": {},
    "precedence": 0,
    "isPrimary": true,
    "name": "string",
    "projectDbtSourceUuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}